Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1304467

Summary: Review Request: python-aodhclient - Python client for Aodh
Product: [Fedora] Fedora Reporter: Pradeep Kilambi <pkilambi>
Component: Package ReviewAssignee: Haïkel Guémar <karlthered>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apevec, emacchi, package-review
Target Milestone: ---Flags: karlthered: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-15 17:51:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1290163    

Description Pradeep Kilambi 2016-02-03 17:21:19 UTC
Spec URL: https://pkilambi.fedorapeople.org/python-aodhclient/python-aodhclient.spec
SRPM URL: https://pkilambi.fedorapeople.org/python-aodhclient/python-aodhclient-0.1.0-1.fc23.src.rpm

Description:
Python client for interacting with Aodh alarm service

Comment 2 Pradeep Kilambi 2016-04-14 14:54:22 UTC
Updated the spec to support python3 and tests subpackages. Please review.

Comment 3 Haïkel Guémar 2016-04-19 18:21:47 UTC
1. python-xxx => python2-xxx
2. please move all requires under the correct subpackage (or 1. won't work)
3. both packages ships the same CLI (python3 version), so they will conflicts and the one in python2 package won't work.
Here are snippets to fix this (as upstream has not switched officially to python3, I'd like to keep python2 version default)

%{!?python2_shortver: %global python2_shortver %(%{__python2} -c 'import sys; print(str(sys.version_info.major) + "." + str(sys.version_info.minor))')}
%{!?python3_shortver: %global python3_shortver %(%{__python3} -c 'import sys; print(str(sys.version_info.major) + "." + str(sys.version_info.minor))')}

(...)
%install
%if 0%{?with_python3}
%py3_install
pushd %{buildroot}%{_bindir}
mv aodh %python3-aodh
for i in aodh-{3,%{?python3_shortver}}; do
  ln -s python3-aodh $i
done
popd
%endif

%py2_install
pushd %{buildroot}%{_bindir}
mv aodh %python3-aodh
for i in aodh-{2,%{?python2_shortver}}; do
  ln -s aodh $i
done
popd


E

Comment 4 Pradeep Kilambi 2016-04-22 21:15:41 UTC
Thanks Haikel. I updated the spec and srpm with your above suggestions. Please review

Spec URL: https://pkilambi.fedorapeople.org/python-aodhclient/python-aodhclient.spec

SRPM URL: https://pkilambi.fedorapeople.org/python-aodhclient/python-aodhclient-0.4.0-1.fc23.src.rpm

Comment 5 Haïkel Guémar 2016-05-09 15:41:47 UTC
This package is approved, please submit pkgdb request for inclusion.
Ping apevec to create project in RDO (I'm on PTO)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 14 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1304467-python-
     aodhclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/aodhclient, /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-aodhclient , python-aodhclient-doc , python3-aodhclient ,
     python3-aodhclient-tests
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-aodhclient-0.4.0-1.fc25.noarch.rpm
          python-aodhclient-doc-0.4.0-1.fc25.noarch.rpm
          python2-aodhclient-tests-0.4.0-1.fc25.noarch.rpm
          python3-aodhclient-0.4.0-1.fc25.noarch.rpm
          python3-aodhclient-tests-0.4.0-1.fc25.noarch.rpm
          python-aodhclient-0.4.0-1.fc25.src.rpm
python2-aodhclient.noarch: W: unexpanded-macro Obsoletes python-%{library} < 0.4.0-1.fc25 %{library}
python2-aodhclient.noarch: W: unexpanded-macro Provides python-%{library} = 0.4.0-1.fc25 %{library}
python2-aodhclient.noarch: W: dangling-relative-symlink /usr/bin/aodh-3 python3-aodh
python2-aodhclient.noarch: W: dangling-relative-symlink /usr/bin/aodh-3.5 python3-aodh
python2-aodhclient.noarch: W: no-manual-page-for-binary aodh-3.5
python2-aodhclient.noarch: W: no-manual-page-for-binary aodh-2.7
python2-aodhclient.noarch: W: no-manual-page-for-binary aodh-2
python2-aodhclient.noarch: W: no-manual-page-for-binary aodh-3
python2-aodhclient.noarch: W: no-manual-page-for-binary aodh
python-aodhclient-doc.noarch: W: spelling-error %description -l en_US aodh -> doodah
python-aodhclient-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-aodhclient-doc/html/.buildinfo
python-aodhclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-aodhclient-doc/html/objects.inv
python-aodhclient-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-aodhclient-doc/html/.doctrees
python-aodhclient-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-aodhclient-doc/html/.doctrees
python2-aodhclient-tests.noarch: W: no-documentation
python3-aodhclient.noarch: W: no-manual-page-for-binary python3-aodh
python3-aodhclient.noarch: W: no-manual-page-for-binary aodh-2
python3-aodhclient.noarch: W: no-manual-page-for-binary aodh-3.5
python3-aodhclient.noarch: W: no-manual-page-for-binary aodh
python3-aodhclient.noarch: W: no-manual-page-for-binary aodh-3
python3-aodhclient.noarch: W: no-manual-page-for-binary aodh-2.7
python3-aodhclient-tests.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 22 warnings.




Requires
--------
python3-aodhclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-aodhclient

python2-aodhclient-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-aodhclient

python-aodhclient-doc (rpmlib, GLIBC filtered):

python2-aodhclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-babel
    python-cliff
    python-futurist
    python-keystoneauth1
    python-oslo-i18n
    python-oslo-serialization
    python-oslo-utils
    python-six

python3-aodhclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    /usr/bin/python3
    python(abi)
    python3-babel
    python3-cliff
    python3-futurist
    python3-keystoneauth1
    python3-oslo-i18n
    python3-oslo-serialization
    python3-oslo-utils
    python3-six



Provides
--------
python3-aodhclient-tests:
    python3-aodhclient-tests

python2-aodhclient-tests:
    python2-aodhclient-tests

python-aodhclient-doc:
    python-aodhclient-doc

python2-aodhclient:
    python-%{library}
    python2-aodhclient

python3-aodhclient:
    python3-aodhclient



Source checksums
----------------
https://pypi.python.org/packages/source/a/aodhclient/aodhclient-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : dfb30e0afbdeac1e73cb9f4c11dd58aed53056918fd390385fd3bfba5b774263
  CHECKSUM(SHA256) upstream package : dfb30e0afbdeac1e73cb9f4c11dd58aed53056918fd390385fd3bfba5b774263


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1304467 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Gwyn Ciesla 2016-05-09 17:00:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-aodhclient

Comment 7 Fedora Update System 2016-05-09 21:39:12 UTC
python-aodhclient-0.4.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71c770bc4c

Comment 8 Fedora Update System 2016-05-09 22:08:36 UTC
python-aodhclient-0.4.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92e8cc8cae

Comment 9 Alan Pevec 2016-05-09 22:28:50 UTC
# Remove bundled egg-info
^ this was misguide guideline, fixed in the meantime https://fedoraproject.org/w/index.php?title=Packaging%3APython_Eggs&diff=400802&oldid=369803

Comment 11 Fedora Update System 2016-05-10 20:28:50 UTC
python-aodhclient-0.4.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92e8cc8cae

Comment 12 Fedora Update System 2016-05-25 18:57:07 UTC
python-aodhclient-0.4.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d99cf757e5

Comment 13 Fedora Update System 2016-05-26 05:01:14 UTC
python-aodhclient-0.4.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d99cf757e5

Comment 14 Fedora Update System 2016-06-17 21:54:58 UTC
python-aodhclient-0.5.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-196695f526

Comment 15 Fedora Update System 2016-06-18 16:25:37 UTC
python-aodhclient-0.5.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-196695f526

Comment 16 Fedora Update System 2017-03-15 17:51:52 UTC
python-aodhclient-0.5.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.